/*
 * libsal/skiplists/init.c
 * Initialise the skip list support
 * 
 * See libsal/license.h for copyright information
 */

#include <libsal/skiplists/internal.h>
#include <libsal/license.h>
#include <libsal/proto.h>
#include <libsal/defines.h>
#include <libsal/types.h>

#include <stdio.h>
#include <stdlib.h>

void sal_skiplist_Init(void)
{
  sal_dprintf(SAL_DEBUG_INFO, SAL_DEBUG_MSG_DEBUGHIGH, "Initialised subsystem: skiplists");
  
  sal_skiplist_SetEndNode(sal_skiplist_NewNodeOfLevel(0));
  sal_skiplist_GetEndNode()->szKey = NULL;
  sal_skiplist_SetRandomLevel();
}

